Bug 434286 - gtk-sharp2 failed massrebuild attempt for GCC 4.3
gtk-sharp2 failed massrebuild attempt for GCC 4.3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk-sharp2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail 434433
  Show dependency treegraph
 
Reported: 2008-02-22 10:55 EST by Jesse Keating
Modified: 2013-01-09 22:03 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.10.3-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 18:10:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:55:49 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441685
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-28 18:37:29 EST
scratch build 477242
Comment 2 Jon Stanley 2008-02-28 19:51:20 EST
/usr/bin/mcs -define:GTK_SHARP_2_6 -define:GTK_SHARP_2_8 -define:GTK_SHARP_2_10
-nowarn:0169,0612,0618 -unsafe -out:pango-sharp.dll -target:library
/r:../glib/glib-sharp.dll
-r:/usr/lib64/pkgconfig/../../lib/mono/1.0/Mono.Cairo.dll   generated/*.cs
./Attribute.cs ./AttrBackground.cs ./AttrFallback.cs ./AttrFamily.cs
./AttrFontDesc.cs ./AttrForeground.cs ./AttrLanguage.cs ./AttrLetterSpacing.cs
./AttrRise.cs ./AttrScale.cs ./AttrShape.cs ./AttrSize.cs ./AttrStretch.cs
./AttrStrikethroughColor.cs ./AttrStrikethrough.cs ./AttrStyle.cs
./AttrUnderlineColor.cs ./AttrUnderline.cs ./AttrVariant.cs ./AttrWeight.cs
./Scale.cs ./ScriptIter.cs ./Units.cs AssemblyInfo.cs
error CS0006: cannot find metadata file
`/usr/lib64/pkgconfig/../../lib/mono/1.0/Mono.Cairo.dll'
Comment 3 Xavier Lamien 2008-02-29 03:31:55 EST
new release of gtk-sharp2 (-2.10.3-1) have been built against gcc-4.3 and
available in testing repo.

Did you try with this one ?
Comment 4 Jesse Keating 2008-02-29 10:27:34 EST
This is about rawhide, dist-f9.  Your latest build failed too:

http://koji.fedoraproject.org/koji/buildinfo?buildID=40168
Comment 5 Xavier Lamien 2008-03-04 18:10:46 EST
Fixed and built.

Note You need to log in before you can comment on or make changes to this bug.